Bug 15402 - [PATCH] build with recent ant - for gump
Summary: [PATCH] build with recent ant - for gump
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 2.0-dev
Hardware: PC All
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-12-16 15:09 UTC by Paul Krause
Modified: 2005-03-20 17:06 UTC (History)
0 users



Attachments
patch basename usage in build.xtarget (828 bytes, patch)
2002-12-16 15:10 UTC, Paul Krause
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Krause 2002-12-16 15:09:14 UTC
POI cannot be build with ant 1.6alpha.  I have traced this failure to a change 
in the behavior of the basename task.  This patch changes the usage of basename 
to work with the new task.  Building with built.bat still works as well.

Hopefully this will make the daily gumps more useful.
Comment 1 Paul Krause 2002-12-16 15:10:31 UTC
Created attachment 4183 [details]
patch basename usage in build.xtarget
Comment 2 Rainer Klute 2002-12-17 16:50:34 UTC
Not that I understand what I am doing here, but I ran the mandatory "build
clean", "build test" cycle with ant 1.5beta2 to ensure backward compatibility.
It worked, so I committed the patch. I did not try ant 1.6whatever. Thanks Paul!